Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.xml.stax
Class StartElementEventX

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.StartElementEvent
              org.mule.module.xml.stax.StartElementEventX

All Implemented Interfaces:
  Serializable, Cloneable, javanet.staxutils.events.ExtendedXMLEvent, javax.xml.stream.events.StartElement, javax.xml.stream.events.XMLEvent, javax.xml.stream.XMLStreamConstants

    public class StartElementEventX

extends javanet.staxutils.events.StartElementEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class javanet.staxutils.events.StartElementEvent
`attributes, name, namespaceCtx, namespaces`

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`StartElementEventX(QName name, List attributes, List namespaces, NamespaceContext namespaceCtx, javax.xml.stream.Location location, QName schemaType)`

Method Summary
`List` | `getAttributeList()`
`List` | `getNamespaceList()`

Methods inherited from class javanet.staxutils.events.StartElementEvent
`getAttributeByName, getAttributes, getEventType, getName, getNamespaceContext, getNamespaces, getNamespaceURI`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Constructor Detail

### StartElementEventX

    public StartElementEventX(QName name,
                              List attributes,
                              List namespaces,
                              NamespaceContext namespaceCtx,
                              javax.xml.stream.Location location,
                              QName schemaType)

Method Detail

### getAttributeList

    public List getAttributeList()

### getNamespaceList

    public List getNamespaceList()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.